Upload a File Revision
curl --request PUT \
--url https://{instance}.domo.com/api/data/v1/data-files/{dataFileId} \
--header 'Content-Type: application/octet-stream' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '"<string>"'import requests
url = "https://{instance}.domo.com/api/data/v1/data-files/{dataFileId}"
payload = "<string>"
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/octet-stream"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-DOMO-Developer-Token': '<api-key>',
'Content-Type': 'application/octet-stream'
},
body: JSON.stringify('<string>')
};
fetch('https://{instance}.domo.com/api/data/v1/data-files/{dataFileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"revisionId": 123
}Files API
Upload a File Revision
Adds another version of a file by its ID.
PUT
/
api
/
data
/
v1
/
data-files
/
{dataFileId}
Upload a File Revision
Authorizations
Domo Developer Token for authentication (Assumed based on similar APIs).
Path Parameters
The id of the file to revise.
Body
application/octet-stream
The raw file content for the revision.
The body is of type file.
Response
Returns the revision id of the uploaded file revision.
⌘I